GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
demangle_parse_info Struct Reference

`#include "cp-support.h"`

## Public Member Functions
| demangle_parse_info ()
| ~demangle_parse_info ()

## Public Attributes
struct demangle_info * | info
struct demangle_component * | tree
struct obstack | obstack

## Detailed Description

Definition at line 59 of file cp-support.h.

## Constructor & Destructor Documentation

## ◆ demangle_parse_info()

demangle_parse_info::demangle_parse_info | ( |  | ) |

Definition at line 4206 of file cp-name-parser.c.

References obstack.

## ◆ ~demangle_parse_info()

demangle_parse_info::~demangle_parse_info | ( |  | ) |

Definition at line 4215 of file cp-name-parser.c.

References info, demangle_info::next, obstack, and xfree().

## Member Data Documentation

## ◆ info

struct demangle_info* demangle_parse_info::info

Definition at line 66 of file cp-support.h.

Referenced by cp_merge_demangle_parse_infos(), and ~demangle_parse_info().

## ◆ obstack

struct obstack demangle_parse_info::obstack

Definition at line 72 of file cp-support.h.

Referenced by demangle_parse_info(), inspect_type(), replace_typedefs_qualified_name(), and ~demangle_parse_info().

## ◆ tree

struct demangle_component* demangle_parse_info::tree

Definition at line 69 of file cp-support.h.

Referenced by cp_merge_demangle_parse_infos().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/cp-support.h
- /tmp/gdb-8.1/gdb/cp-name-parser.c